Product comparison · 2 ip phones

Yealink SIP T42U vs Yealink-SIP-T73U

Add a product
  • 33specifications compared
  • 15differ
  • 18identical
  • 46known for one product only

Key differences

The Yealink SIP T42U has 1 more USB 2.0 ports quantity than the Yealink-SIP-T73U (2 vs 1). The Yealink SIP T42U has 5 - 95% more operating relative humidity (H-H) than the Yealink-SIP-T73U (10 - 95% vs 5 - 95%). The Yealink SIP T42U has 3 mm more width than the Yealink-SIP-T73U (212 mm vs 209 mm). Handset type: Wireless handset on the Yealink SIP T42U, Wired & Wireless handset on the Yealink-SIP-T73U. Product colour: Grey on the Yealink SIP T42U, Black on the Yealink-SIP-T73U.

  • Handset type
    • SIP T42U:Wireless handset
    • Yealink-SIP-T73U:Wired & Wireless handset
  • Product colour
    • SIP T42U:Grey
    • Yealink-SIP-T73U:Black
  • Mounting
    • SIP T42U:Desk/Wall
    • Yealink-SIP-T73U:Desk
  • Display diagonal
    • SIP T42U:6.86 cm (2.7")
    • Yealink-SIP-T73U:7.11 cm (2.8")
  • Display resolution
    • SIP T42U:192 x 68 pixels
    • Yealink-SIP-T73U:320 x 240 pixels
  • USB 2.0 ports quantity
    • SIP T42U:2
    • Yealink-SIP-T73U:1
  • Operating relative humidity (H-H)
    • SIP T42U:10 - 95%
    • Yealink-SIP-T73U:5 - 95%
  • Operating temperature (T-T)
    • SIP T42U:-10 - 50 °C
    • Yealink-SIP-T73U:10 - 45 °C

Side by side

Differences highlightedShow differences only (off)
Comparison of SIP T42U, T73U
79 specifications
Design3 differ
Product typeIP PhoneIP Phone
Handset typeDiffersWireless handsetWired & Wireless handset
Product colourDiffersGreyBlack
Backlight keypadKnown for oneUnknown — not stated by the sourceYes
MountingDiffersDesk/WallDesk
Device lockKnown for oneYesUnknown — not stated by the source
Wall mountableKnown for oneYesUnknown — not stated by the source
Phone featuresidentical
Answering machineKnown for oneUnknown — not stated by the sourceYes
Call forwardingYesYes
Call historyYesYes
Call holdYesYes
Call returnKnown for oneUnknown — not stated by the sourceYes
Call waitingYesYes
Caller IDYesYes
Conference callYesYes
Emergency callKnown for oneUnknown — not stated by the sourceYes
IntercomKnown for oneUnknown — not stated by the sourceYes
Message-waiting indicator (MWI)Known for oneUnknown — not stated by the sourceYes
Number of VoIP accounts1212
Phonebook capacity1000 entries1000 entries
Phonebook sharingKnown for oneUnknown — not stated by the sourceYes
RedialingYesYes
Speed diallingYesYes
Anonymous callKnown for oneYesUnknown — not stated by the source
Anonymous call rejectionKnown for oneYesUnknown — not stated by the source
Call parkKnown for oneYesUnknown — not stated by the source
Call pick upKnown for oneYesUnknown — not stated by the source
Call transferKnown for oneYesUnknown — not stated by the source
Direct callKnown for oneYesUnknown — not stated by the source
Distinctive ringKnown for oneYesUnknown — not stated by the source
Do not disturb functionKnown for oneYesUnknown — not stated by the source
Full duplexKnown for oneYesUnknown — not stated by the source
Management featuresidentical
Management platformKnown for oneUnknown — not stated by the sourceYealink Device Management Platform
Integrated voicemailKnown for oneNoUnknown — not stated by the source
Number of function keysKnown for one5Unknown — not stated by the source
Number of programmable keysKnown for one6Unknown — not stated by the source
Display2 differ
DisplayLCDLCD
Display diagonalDiffers6.86 cm (2.7")7.11 cm (2.8")
Display resolutionDiffers192 x 68 pixels320 x 240 pixels
Audioidentical
SpeakerphoneKnown for oneUnknown — not stated by the sourceYes
Microphone muteKnown for oneUnknown — not stated by the sourceYes
Voice codecsKnown for oneUnknown — not stated by the sourceG.711a, G.711u, G.723.1, G.726, G.729, G.729A, G.729B, G.729ab
Network1 differ
Ethernet LANYesYes
Ethernet LAN data ratesKnown for oneUnknown — not stated by the source10,100,1000 Mbit/s
Ethernet LAN interface typeGigabit EthernetGigabit Ethernet
Quality of Service (QoS) supportYesYes
Security algorithmsDiffers256-bit AES, HTTPS, TLS, WPA2, WPA3WPA2, WPA3
SyslogKnown for oneUnknown — not stated by the sourceYes
Wi-FiKnown for oneYesUnknown — not stated by the source
BluetoothKnown for oneYesUnknown — not stated by the source
Networking standardsKnown for oneIEEE 802.11a, IEEE 802.11b, IEEE 802.11g, IEEE 802.11n, IEEE 802.1x, IEEE 802.3afUnknown — not stated by the source
Supported network protocolsKnown for oneIPv4/IPv6, SIP v1 (RFC2543), v2 (RFC3261), UDP/TCP/DNS-SRV (RFC 3263)Unknown — not stated by the source
Ports & interfaces1 differ
Headset connectivityKnown for oneUnknown — not stated by the sourceRJ-9
USB 2.0 ports quantityDiffers21
DC-in jackKnown for oneUnknown — not stated by the sourceYes
Ethernet LAN (RJ-45) ports22
RJ-9 ports quantity22
Poweridentical
Power over Ethernet (PoE)Known for oneUnknown — not stated by the sourceYes
AC adapter input voltageKnown for oneUnknown — not stated by the source100 - 240 V
AC adapter output voltageKnown for oneUnknown — not stated by the source5 V
AC adapter output currentKnown for oneUnknown — not stated by the source2 A
Power consumption (typical)Known for one2.2 WUnknown — not stated by the source
Operational conditions2 differ
Operating relative humidity (H-H)Differs10 - 95%5 - 95%
Operating temperature (T-T)Differs-10 - 50 °C10 - 45 °C
Storage temperature (T-T)Known for oneUnknown — not stated by the source-10 - 70 °C
Weight & dimensions6 differ
WidthDiffers212 mm209 mm
DepthDiffers189 mm167.5 mm
HeightDiffers175 mm214.8 mm
Package widthDiffers627 mm231 mm
Package depthDiffers256 mm237 mm
Package heightDiffers235 mm102 mm
Package weightKnown for one63 kgUnknown — not stated by the source
Packaging contentidentical
Mounting kitKnown for oneUnknown — not stated by the sourceYes
Ethernet cableKnown for oneUnknown — not stated by the sourceYes
HandsetKnown for oneUnknown — not stated by the sourceYes
Number of handles included1 pc(s)1 pc(s)
Quick start guideKnown for oneUnknown — not stated by the sourceYes
AC adapter includedKnown for oneNoUnknown — not stated by the source
Cameraidentical
Rear cameraKnown for oneYesUnknown — not stated by the source

A dash means the value is not stated by the source. Unknown values are never counted for or against a product, and there is no overall score.

More ip phone comparisons

All ip phone comparisons